## python-aioshutil 1.5

=== requirements.txt ===
pre-commit
pytest
pytest-asyncio
pytest-cov

=== debian/changelog ===
python-aioshutil (1.5-2) unstable; urgency=medium

  * Source only upload

 -- Ananthu C V <weepingclown@disroot.org>  Sun, 13 Oct 2024 17:43:19 +0530

python-aioshutil (1.5-1) unstable; urgency=low

  * Initial release (Closes: #1082990)

 -- Ananthu C V <weepingclown@disroot.org>  Sun, 29 Sep 2024 15:58:46 +0000

=== debian/control ===
Source: python-aioshutil
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ananthu C V <weepingclown@disroot.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all,
               python3-pytest,
               python3-pytest-asyncio,
               python3-setuptools,
               python3-setuptools-scm
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/kumaraditya303/aioshutil
Vcs-Git: https://salsa.debian.org/python-team/packages/python-aioshutil.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aioshutil
Rules-Requires-Root: no

Package: python3-aioshutil
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: asynchronous shutil module
 aioshutil is a Python library which provides asynchronous version of
 function of shutil module. shutil module is blocking and using it in
 asyncio applications will block the event loop and slow down the
 application, aioshutil provides asynchronous friendly versions of the
 functions of the shutil module as it performs blocking io in a thread pool.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=aioshutil
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="pgpmode=none, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/kumaraditya303/aioshutil/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
